Package com.fasterxml.jackson.annotation

# Annotation Type JsonTypeName

@Target({ANNOTATION_TYPE,TYPE}) @Retention(RUNTIME) public @interface JsonTypeName
Annotation used for binding logical name that the annotated class has. Used with `JsonTypeInfo` (and specifically its `JsonTypeInfo.use()` property) to establish relationship between type names and types.

Author:
  tatu

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`String`
`value`
Logical type name for annotated type.

## Element Details

### value

String value
Logical type name for annotated type. If missing (or defined as Empty String), defaults to using non-qualified class name as the type.

Default:
  `""`